<?php session_name('sadrokarton');
session_start ();

require_once("functions.php");

include ('login.php');
// overenie existencie potrebnych premennych
if(isset($_GET["akce"]))
    $GLOBALS["akce"]=$_GET["akce"];
if(isset($_POST["akce"]))
    $GLOBALS["akce"]=$_POST["akce"];
if(isset($_GET["id"]))
    $GLOBALS["id"]=$_GET["id"];
if(isset($_POST["id"]))
    $GLOBALS["id"]=$_POST["id"];
if(isset($_GET["forum"]))
    $GLOBALS["forum"]=$_GET["forum"];
if(isset($_POST["forum"]))
    $GLOBALS["forum"]=$_POST["forum"];
if(isset($_GET["vybavene"]))
    $GLOBALS["vybavene"]=$_GET["vybavene"];
if(isset($_POST["vybavene"]))
    $GLOBALS["vybavene"]=$_POST["vybavene"];

	
// rozhodnutie o obsahu stranky
switch($GLOBALS["akce"]):
  case "new": ShowHeader('Registracia'); ZobrazRegistraciu(); ShowFooter(); break;
  case "login":ShowHeader('Prihlasenie'); ZobrazPrihlasenie(); ShowFooter(); break;
  case "zruslogin":ShowHeader('Odhlasenie'); ZobrazOdhlasenie(); ShowFooter(); break;
  case "showresetpw": ShowHeader('Resetovanie hesla'); ZobrazObnovenie(); ShowFooter(); break;
  case "showchangepw": ShowHeader('Zmena hesla'); ZobrazZmena(); ShowFooter(); break;
  case "pridanie": ShowHeader('Pridanie prace');ZobrazPrihlasenie(); ZobrazPridaniePrace(); ShowFooter(); break;
  case "pridanie_certifikatu": ShowHeader('Pridanie certifikatu');ZobrazPrihlasenie(); ZobrazPridanieCertifikatu(); ShowFooter(); break;
  case "kontakt": ShowHeader('Pridanie hry');ZobrazPrihlasenie(); ZobrazKontakt(); ShowFooter(); break;
  case "insert": ShowHeader('Registracia'); PridajUser();break;// ShowFooter(); break;
  case "naloguj": ShowHeader('Prihlasenie'); Naloguj();ShowContent();ShowFooter(); break;
  case "odloguj": ShowHeader('Odhlasenie'); Odloguj();ShowContent(); ShowFooter(); break;
  case "resetpw": ShowHeader('Resetovanie hesla'); ResetHeslo();ShowContent(); ShowFooter(); break;
  case "changepw": ShowHeader('Zmena hesla'); ZmenaHeslo(); ShowFooter(); break;
  case "zmaz_prispevok": ShowHeader('Zmazanie prispevku'); ZmazPrispevok();ZobrazOdhlaseniePridanie(); Prezeraj_charP($GLOBALS["id"]);  ShowFooter(); break;
  case "potvrd_prispevok": ShowHeader('Potvrdenie prispevku'); UpdatePrispevok();ZobrazOdhlaseniePridanie(); Prezeraj_charP($GLOBALS["id"]);  ShowFooter(); break;
 
  case "formular":if(isset($GLOBALS['vybavene'])) {
                      if($GLOBALS['vybavene']==1) {
                          ShowHeader('Formular');ZobrazPrihlasenie(); ZobrazFormular1(); ShowFooter(); break;
                      }
                      else {
                          ShowHeader('Formular');ZobrazPrihlasenie(); ZobrazFormular0(); ShowFooter(); break;
                      }
                  }
                  else {
                      ShowHeader('Formular'); ZobrazPrihlasenie();ZobrazFormular(); ShowFooter(); break;
                  }   
   case "forum1": ShowHeader('Prezeranie ponuky');ZobrazOdhlaseniePridanie();PridajPrispevok($GLOBALS["id"]);  Prezeraj_charP($GLOBALS["id"]); ShowFooter();break;//                               
  case "addForm" : ShowHeader('Pridany formular');ZobrazPrihlasenie();PridajFormular();ShowContent(); ShowFooter(); break;//x
  case "zmazFormular":ShowHeader('Formular');ZobrazPrihlasenie();ZmazFormular(); ZobrazFormular(); ShowFooter(); break;   
  case "vybavFormular": ShowHeader('Formular'); ZobrazPrihlasenie();UpravFormular();ZobrazFormular(); ShowFooter(); break;                
  case "addwork": ShowHeader('Pridanie ponuky'); PridajPonuku();ZobrazOdhlaseniePridanie();Prezeraj_char();  ShowFooter(); break;
  case "ponuka":if(isset($GLOBALS["id"])){
                    if(isset($GLOBALS["forum"])){
                        ShowHeader('Prezeranie ponuky');ZobrazOdhlaseniePridanie(); Prezeraj_charPF($GLOBALS["id"],$GLOBALS["forum"]); ShowFooter();break;
                    }
                    else {
                        ShowHeader('Prezeranie ponuky');ZobrazOdhlaseniePridanie(); Prezeraj_charP($GLOBALS["id"]); ShowFooter();break;
                    }
                }
                else{ 
                    ShowHeader('Prezeranie ponuky');ZobrazOdhlaseniePridanie(); Prezeraj_char(); ShowFooter(); break;
                }
  case "zmaz_pracu": ShowHeader('Zmazanie Prace'); ZmazPracu();ZobrazOdhlaseniePridanie(); Prezeraj_char();  ShowFooter(); break;
  case "addcertifikat": ShowHeader('Pridanie certifikatu');ZobrazOdhlaseniePridanieCertifikatu(); PridajCertifikat(); PrezerajCertifikat();  ShowFooter(); break;
  case "certifikaty": ShowHeader('Prezeranie certifikatov');ZobrazOdhlaseniePridanieCertifikatu();PrezerajCertifikat(); ShowFooter(); break;
  case "zmaz_certifikat": ShowHeader('Zmazanie certifikatu'); ZmazCertifikat();ZobrazOdhlaseniePridanieCertifikatu(); PrezerajCertifikat();  ShowFooter(); break;
  case "foto":ShowHeader('Foto');ZobrazOdhlaseniePridanieFoto();ZobrazFotoGaleria("foto/",$_GET["page"]);ShowFooter();break;
  case "zmaz_fotoG":ShowHeader('Foto');ZobrazOdhlaseniePridanieFoto();ZmazFoto($_POST["name"]);ZobrazFotoGaleria("foto/",$_POST["page"]);ShowFooter();break;
  case "pridanieFoto": ShowHeader('Pridanie foto');ZobrazOdhlaseniePridanieFoto(); ZobrazPridanieFoto(); ShowFooter(); break;
  case "addFoto" : ShowHeader('Pridanie certifikatu'); PridajFoto();ZobrazOdhlaseniePridanieFoto();ZobrazFotoGaleria("foto/",1);  ShowFooter(); break;
  default: ShowHeader('Index');
           ZobrazPrihlasenie();
           ShowContent();
           ShowFooter(); break;
endswitch;

function ShowHeader($title)
{ include ('header.php');
  hlavicka($title);
}

function ShowFooter()
{ include('footer.php'); 
}

function ShowContent()
{ include('content.php'); 
}
   
   
?>